package ru.themixray.repeating_mod.event.events;

import ru.themixray.repeating_mod.Main;
import ru.themixray.repeating_mod.event.RecordEvent;

public class GuiCloseEvent extends RecordEvent {
    public GuiCloseEvent() {}

    public void replay() {
        if (Main.client.currentScreen != null) {
            Main.client.setScreen(null);
        }
    }

    protected String[] serializeArgs() {
        return new String[] {};
    }

    public static GuiCloseEvent deserialize(String[] args) {
        return new GuiCloseEvent();
    }
}
